<?php
class DatabaseManager
{
    private $serverName = "localhost";
    private $username = "root";
    private $password = "";
    private $database = "bookstore";
    private $conn;
    public function __construct()
    {
        try {
            $this->conn = new PDO("mysql:host=$this->serverName;dbname=$this->database", $this->username, $this->password);

            $this->conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (PDOException $e) {
            die("Kết nối thất bại: " . $e->getMessage());
        }
    }
    public function Query($query, $values = array(), $types = array())
    {
        try {
            $stmt = $this->conn->prepare($query);
            if (!empty($values) && !empty($types)) {
                if (count($values) == count($types)) {
                    for ($i = 0; $i < count($values); $i++) {
                        $stmt->bindParam($i + 1, $values[$i], $types[$i]);
                    }
                } else {
                    throw new Exception("Số lượng giá trị và loại dữ liệu không khớp.");
                }
            }
            $stmt->execute();
            return $stmt;
        } catch (PDOException $e) {
            throw new Exception("Lỗi truy vấn: " . $e->getMessage());
        }
    }
    public function Query2($query, $values = array())
    {
        try {
            $stmt = $this->conn->prepare($query);
            if (empty($values)) {
                $stmt->execute();
            } else {
                $stmt->execute($values);
            }
            return $stmt;
        } catch (PDOException $e) {
            throw new Exception("Lỗi truy vấn: " . $e->getMessage());
        }
    }
}
